=begin  
  misc.rb
	Copyright (c) 2004 by Jesse van den Kieboom <troplosti@orcaweb.cjb.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
	
	Defines:
	  open - open a world
	  sendall - send all connected worlds the same text
=end

def register_functions
  register_func("open", "use: /open <worldname>\nopen a world")
  register_func("sendall", "use: /sendall <some>\nsends <some> to all currently connected worlds")
end

def open(argstr)
  $client.open(argstr)
end

def sendall(argstr)
  $client.worlds.each {|wld|
    if (wld.loaded? && wld.connected?)
      wld.sendln(argstr) 
    end
  }
end
